Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml	(revision 3984)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml	(revision 3985)
@@ -109,5 +109,5 @@
      </file>
 
-     <file id="limit_read" name="limit" time_counter_name="time_year" type="one_file" output_freq="1d" mode="read" cyclic="false" enabled="false">         
+     <file id="limit_read" name="limit" time_counter_name="time_year" type="one_file" output_freq="1d" mode="read" cyclic="true" enabled="false">         
        <field_group domain_ref="dom_glo" freq_offset="1ts" operation="instant">
           <field id="foce_limin"  name="FOCE" long_name="Fraction ocean"/>
@@ -200,5 +200,5 @@
     </domain>
     
-    <domain id="dom_out" domain_ref="DOM_OUT"/>
+    <domain id="dom_out" domain_ref="dom_regular"/>
  
   </domain_definition>
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_lmdz.xml	(revision 3984)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_lmdz.xml	(revision 3985)
@@ -18,6 +18,6 @@
     <field_group id="fields_2D" >
         <field id="phis"    long_name="Surface geop.height"     unit="m2/s2" />
-        <field id="aire"    long_name="Grid area"               unit="-"    />
-        <field id="contfracATM"     long_name="% sfce ter+lic"  unit="-"    />
+        <field id="aire"    long_name="Grid area"               unit="-"   operation="once" />
+        <field id="contfracATM"     long_name="% sfce ter+lic"  unit="-"   operation="once" />
         <field id="contfracOR"      long_name="% sfce terre OR" unit="-" />
         <field id="aireTER"         long_name="Grid area CONT"  unit="-" />
@@ -26,6 +26,6 @@
         <field id="tsol"    long_name="Surface Temperature"     unit="K" />
         <field id="t2m"        long_name="Temperature 2m" unit="K" />
-        <field id="t2m_min"    long_name="Temp 2m min"    unit="K" />
-        <field id="t2m_max"    long_name="Temp 2m max"    unit="K" />
+        <field id="t2m_min"    long_name="Temp 2m min"    unit="K" operation="minimum"/>
+        <field id="t2m_max"    long_name="Temp 2m max"    unit="K" operation="maximum"/>
         <field id="t2m_ter"    long_name="Temp 2m ter"    unit="K" />
         <field id="t2m_max_mon"   long_name="Monthly average max 2m temperature" unit="K" />
@@ -36,5 +36,5 @@
         <field id="gusts"    long_name="surface gustiness"    unit="m2/s2" />
         <field id="wind10m"    long_name="10-m wind speed"      unit="m/s" />
-        <field id="wind10max"  long_name="10m wind speed max"   unit="m/s" />
+        <field id="wind10max"  long_name="10m wind speed max"   unit="m/s" operation="maximum" />
         <field id="sicf"    long_name="Sea-ice fraction"        unit="-" />
         <field id="q2m"     long_name="Specific humidity 2m"    unit="kg/kg" />
@@ -68,5 +68,5 @@
         <field id="cldtjn"      long_name="Total cloudiness Day"         unit="-" />
         <field id="rnebjn"      long_name="Cloud fraction in day"         unit="-" />
-        <field id="ndayrain"    long_name="Number of dayrain(liq+sol)"  unit="-" />
+        <field id="ndayrain"    long_name="Number of dayrain(liq+sol)"  unit="-" operation="instant"/>
         <field id="precip"      long_name="Precip Totale liq+sol"       unit="kg/(s*m2)" />
         <field id="plul"    long_name="Large-scale Precip."     unit="kg/(s*m2)" />
@@ -188,5 +188,5 @@
         <field id="ve"    long_name="Merid energy transport"    unit="-" />
         <field id="uq"    long_name="Zonal humidity transport"    unit="-" />
-        <field id="vq"    long_name="Merid humidity transport"    unit="-" />
+        <field id="vq"    long_name="Merid humidity transport"    unit="-" enabled="false"/>
         <field id="cape"    long_name="Conv avlbl pot ener"    unit="J/kg" />
         <field id="pbase"    long_name="Cld base pressure"    unit="Pa" />
@@ -275,6 +275,6 @@
         <field id="v10_sic"    long_name="-"    unit="-" />
         <field id="rh2m"    long_name="Relative humidity at 2m"    unit="%" />
-        <field id="rh2m_min"    long_name="Min Relative humidity at 2m"    unit="%" />
-        <field id="rh2m_max"    long_name="Max Relative humidity at 2m"    unit="%" />
+        <field id="rh2m_min"    long_name="Min Relative humidity at 2m"    unit="%" operation="minimum"/>
+        <field id="rh2m_max"    long_name="Max Relative humidity at 2m"    unit="%" operation="maximum"/>
         <field id="qsat2m"    long_name="Saturant humidity at 2m"    unit="%" />
         <field id="tpot"    long_name="Surface air potential temperature"    unit="K" />
@@ -284,5 +284,5 @@
         <field id="LWdownOR"    long_name="Sfce incident LW radiation OR"    unit="W/m2" />
         <field id="snowl"    long_name="Solid Large-scale Precip."    unit="kg/(m2*s)" />
-        <field id="cape_max"    long_name="CAPE max."    unit="J/kg" />
+        <field id="cape_max"    long_name="CAPE max."    unit="J/kg" operation="maximum"/>
         <field id="solldown"    long_name="Down. IR rad. at surface"    unit="W/m2" />
         <field id="dtsvdfo"    long_name="Boundary-layer dTs(o)"    unit="K/s" />
@@ -378,5 +378,5 @@
         <field id="alb1"    long_name="Surface VIS albedo"    unit="-" />
         <field id="alb2"    long_name="Surface Near IR albedo"    unit="-" />
-        <field id="ftime_con"    long_name="Fraction of time convection Occurs"    unit="-" />
+        <field id="ftime_con"    long_name="Fraction of time convection Occurs"    unit="-" operation="instant"/>
         <field id="wake_h"    long_name="wake_h"    unit="-" />
         <field id="wake_s"    long_name="wake_s"    unit="-" />
@@ -399,8 +399,8 @@
         <field id="tke_oce"    long_name="Max Turb. Kinetic Energy oce"    unit="-" />
         <field id="tke_sic"    long_name="Max Turb. Kinetic Energy sic"    unit="-" />
-        <field id="tke_max_ter"    long_name="Max Turb. Kinetic Energy ter"    unit="-" />
-        <field id="tke_max_lic"    long_name="Max Turb. Kinetic Energy lic"    unit="-" />
-        <field id="tke_max_oce"    long_name="Max Turb. Kinetic Energy oce"    unit="-" />
-        <field id="tke_max_sic"    long_name="Max Turb. Kinetic Energy sic"    unit="-" />
+        <field id="tke_max_ter"    long_name="Max Turb. Kinetic Energy ter"    unit="-" operation="maximum"/>
+        <field id="tke_max_lic"    long_name="Max Turb. Kinetic Energy lic"    unit="-" operation="maximum"/>
+        <field id="tke_max_oce"    long_name="Max Turb. Kinetic Energy oce"    unit="-" operation="maximum" />
+        <field id="tke_max_sic"    long_name="Max Turb. Kinetic Energy sic"    unit="-" operation="maximum"/>
         <field id="dltpbltke_ter"    long_name="TKE difference (w - x)"    unit="-" />
         <field id="dltpbltke_lic"    long_name="TKE difference (w - x)"    unit="-" />
@@ -409,7 +409,7 @@
         <field id="cldtau"    long_name="Cloud optical thickness"    unit="1" />
         <field id="cldemi"    long_name="Cloud optical emissivity"    unit="1" />
-        <field id="tke_max"    long_name="TKE max"    unit="m2/s2" />
+        <field id="tke_max"    long_name="TKE max"    unit="m2/s2"  operation="maximum"/>
         <field id="kz"    long_name="Kz melange"    unit="m2/s" enabled="FALSE" />
-        <field id="kz_max"    long_name="Kz melange max"    unit="m2/s" enabled="FALSE" />
+        <field id="kz_max"    long_name="Kz melange max"    unit="m2/s" enabled="FALSE" operation="maximum"/>
         <field id="concso4"    long_name="Concentration of Sulfate "    unit="kg/m3" />
         <field id="concno3"    long_name="Concentration of Nitrate "    unit="kg/m3" /> 
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/icosa.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/icosa.xml	(revision 3984)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/icosa.xml	(revision 3985)
@@ -6,4 +6,26 @@
 <!--  <file_definition src="./filedef_debug.xml" /> -->     
   <file_definition src="./filedef_dcmip2016.xml" /> 
+
+  <field_definition>
+
+     <field_group id="read_fields" enabled="false" operation="instant">
+      
+        <field id="relief_db" field_ref="relief_reg" domain_ref="from_relief" read_access="true"  />
+        <field_group domain_ref="from_ecdyn" read_access="true" >
+           <field id="ps_db" field_ref="ps_reg" />
+           <field id="z_db"  field_ref="z_reg"  />
+           <field id="ts_db" field_ref="ts_reg" />
+           <field_group axis_ref="lev_ecdyn" >
+              <field id="u_db" field_ref="u_reg"  />
+              <field id="v_db" field_ref="v_reg"   />
+              <field id="temp_db" field_ref="temp_reg" />
+              <field id="q_db"    field_ref="q_reg"    />
+           </field_group>
+        </field_group>
+    
+     </field_group>
+
+  </field_definition> 
+
 
   <file_definition type="one_file" par_access="collective">
@@ -30,5 +52,5 @@
     </file>
 
-    <file id="start" name="start" enabled="false" mode="read">
+    <file id="start" name="start" enabled="true" mode="write">
        <field_group id="group_start" operation="once"> 
           <field id="it_start" name="iteration"  grid_ref="scalar" />
@@ -47,5 +69,25 @@
     </file>
 
+    <file_group id="read_files" enabled="false" >
+
+       <file id="relief" name="Relief" type="one_file" mode="read" output_freq="10ts">
+           <field id="relief_reg" name="RELIEF" domain_ref="domain_relief" operation="instant" />
+       </file>
+      
+       <file id="ECDYN"  name="ECDYN" type="one_file" mode="read" output_freq="10ts">
+          <field_group domain_ref="domain_ecdyn" operation="instant">
+             <field id="ps_reg"   name="SP"      />
+             <field id="z_reg"    name="Z"       />
+             <field id="ts_reg"   name="ST"      />
+             <field_group axis_ref="lev_ecdyn"   >
+                <field id="u_reg"    name="U"     />
+                <field id="v_reg"    name="V"     />
+                <field id="temp_reg" name="TEMP"  />
+                <field id="q_reg"    name="R"     />
+             </field_group>
+          </field_group>
+       </file>
     
+    </file_group>    
   </file_definition>
     
@@ -57,4 +99,5 @@
     </axis>    
     <axis id="nq" name="nq" n_glo="5" value="(0,4)[1 2 3 4 5]"/>
+    <axis id="lev_ecdyn" />
   </axis_definition>    
   
@@ -62,8 +105,17 @@
     
      <domain_group id="i"> 
+
        <domain id="i" name="mesh"/>     
+    
+       <domain id="from_relief" >
+          <interpolate_domain/>
+       </domain>
+      
+       <domain id="from_ecdyn" >
+          <interpolate_domain/>
+       </domain>
+
      </domain_group> 
-     
-     
+
      <domain id="v" />
      <domain id="u" />
@@ -83,4 +135,12 @@
        <interpolate_domain order="1"/>
      </domain> 
+
+     <domain id="domain_relief" type="rectilinear" >
+        <generate_rectilinear_domain />
+     </domain>
+
+     <domain id="domain_ecdyn" type="rectilinear" >
+        <generate_rectilinear_domain />
+     </domain>
      
   </domain_definition>    
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/iodef.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/iodef.xml	(revision 3984)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/iodef.xml	(revision 3985)
@@ -5,11 +5,11 @@
 		<variable_definition>
                 <variable id="print_file" type="bool"> true </variable> 
-                <variable id="min_buffer_size" type="double">1000000</variable> 
-       		<variable_group id="buffer">
+                <!--variable id="min_buffer_size" type="double">1000000</variable--> 
+                <variable id="buffer_size_factor" type="double">4</variable>
+     		<variable_group id="buffer">
          	</variable_group>
 
         	<variable_group id="parameters" >
-        		<variable id="using_server" type="bool">USING_SERVER</variable>
-        		<variable id="info_level" type="int">100</variable>
+        	   <variable id="info_level" type="int">100</variable>
         	</variable_group>
 		</variable_definition>
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/run_icosa.def
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/run_icosa.def	(revision 3984)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/run_icosa.def	(revision 3985)
@@ -24,10 +24,10 @@
 
 # timestep : real (default=480s)
-dt = 450.
+dt = 360.
 
 # advection called every itau_adv time steps : integer (default 2)
 # standard : umax=100m/s vs c=340m/s (ratio 1:3)
 # in JW06 umax=35m/s vs c=340m/s (ratio 1:10)
-itau_adv=2
+itau_adv=1
 
 # run length : real (default=dt*itaumax)
@@ -76,3 +76,3 @@
 physics=phys_external
 
-itau_physics=4
+itau_physics=5