Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml	(revision 3991)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml	(revision 3992)
@@ -206,5 +206,6 @@
   <!-- Need to define a grid? Do it here -->
   <grid_definition>
-
+    <!-- Define Scalar grid for GHG, orbital parameters and solar constants -->
+    <grid id="grid_scalar" />
   </grid_definition>
   
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_lmdz.xml	(revision 3991)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_lmdz.xml	(revision 3992)
@@ -24,4 +24,6 @@
         <field id="flat"    long_name="Latent heat flux"        unit="W/m2" />
         <field id="slp"     long_name="Sea Level Pressure"      unit="Pa" />
+        <field id="ptstar"  long_name="Air Surface Temperature" unit="K" />
+        <field id="pt0"     long_name="Standard Air Surface Temperature"      unit="K" />
         <field id="tsol"    long_name="Surface Temperature"     unit="K" />
         <field id="t2m"        long_name="Temperature 2m" unit="K" />
@@ -71,4 +73,5 @@
         <field id="precip"      long_name="Precip Totale liq+sol"       unit="kg/(s*m2)" />
         <field id="plul"    long_name="Large-scale Precip."     unit="kg/(s*m2)" />
+        <field id="plun"    long_name="Numerical Precip."       unit="kg/(s*m2)" />
         <field id="pluc"    long_name="Convective Precip."      unit="kg/(s*m2)" />
         <field id="snow"    long_name="Snow fall"               unit="kg/(s*m2)" />
@@ -118,7 +121,12 @@
         <field id="bils_latent"    long_name="Surf. total heat flux"    unit="W/m2" />
 	<field id="bils_ech"    long_name="peu importe"    unit="W/m2" />
-	<field id="du_gwd_rando"    long_name="peu importe"    unit="W/m2" />
-	<field id="dv_gwd_rando"    long_name="peu importe"    unit="W/m2" />
-	<field id="vstr_gwd_rando"    long_name="peu importe"    unit="W/m2" />
+        <field id="du_gwd_rando"    long_name="peu importe"    unit="W/m2" />
+        <field id="dv_gwd_rando"    long_name="peu importe"    unit="W/m2" />
+        <field id="ustr_gwd_hines"    long_name="zonal wind stress Hines gravity waves"    unit="Pa" />
+        <field id="vstr_gwd_hines"    long_name="meridional wind stress Hines gravity waves"    unit="Pa" />
+        <field id="ustr_gwd_front"    long_name="zonal wind stress fronts gravity waves"    unit="Pa" />
+        <field id="vstr_gwd_front"    long_name="meridional wind stress fronts gravity waves"    unit="Pa" />
+        <field id="ustr_gwd_rando"    long_name="zonal wind stress random gravity waves"    unit="Pa" />
+        <field id="vstr_gwd_rando"    long_name="meridinal wind stress random gravity waves"    unit="Pa" />
         <field id="sens"    long_name="Sensible heat flux"    unit="W/m2" />
         <field id="fder"    long_name="Heat flux derivation"    unit="W/m2" />
@@ -126,4 +134,5 @@
         <field id="fqcalving"    long_name="Ice Calving"    unit="kg/m2/s" />
         <field id="fqfonte"    long_name="Land ice melt"    unit="kg/m2/s" />
+        <field id="runofflic"  long_name="Land ice melt to ocean" unit="kg/m2/s" />
         <field id="taux"    long_name="Zonal wind stress"    unit="Pa" />
         <field id="tauy"    long_name="Meridional wind stress"    unit="Pa" />
@@ -176,4 +185,16 @@
         <field id="wbilo_oce"    long_name="Bilan eau oce"    unit="kg/(m2*s)" />
         <field id="wbilo_sic"    long_name="Bilan eau sic"    unit="kg/(m2*s)" />
+        <field id="wevap_ter"    long_name="Evap eau ter"    unit="kg/(m2*s)" />
+        <field id="wevap_lic"    long_name="Evap eau lic"    unit="kg/(m2*s)" />
+        <field id="wevap_oce"    long_name="Evap eau oce"    unit="kg/(m2*s)" />
+        <field id="wevap_sic"    long_name="Evap eau sic"    unit="kg/(m2*s)" />
+        <field id="wrain_ter"    long_name="Pluie eau ter"    unit="kg/(m2*s)" />
+        <field id="wrain_lic"    long_name="Pluie eau lic"    unit="kg/(m2*s)" />
+        <field id="wrain_oce"    long_name="Pluie eau oce"    unit="kg/(m2*s)" />
+        <field id="wrain_sic"    long_name="Pluie eau sic"    unit="kg/(m2*s)" />
+        <field id="wsnow_ter"    long_name="Neige eau ter"    unit="kg/(m2*s)" />
+        <field id="wsnow_lic"    long_name="Neige eau lic"    unit="kg/(m2*s)" />
+        <field id="wsnow_oce"    long_name="Neige eau oce"    unit="kg/(m2*s)" />
+        <field id="wsnow_sic"    long_name="Neige eau sic"    unit="kg/(m2*s)" />
         <field id="cdrm"    long_name="Momentum drag coef."    unit="-" />
         <field id="cdrh"    long_name="Heat drag coef."    unit="-" />
@@ -197,4 +218,6 @@
         <field id="wbeff"    long_name="Conv. updraft velocity at LFC (inf100)"    unit="m/s" />
         <field id="prw"    long_name="Precipitable water"    unit="kg/m2" />
+        <field id="prlw"   long_name="Precipitable liquid water"  unit="kg/m2" />
+        <field id="prsw"   long_name="Precipitable solid water"  unit="kg/m2" />
         <field id="s_pblh"    long_name="Boundary Layer Height"    unit="m" />
         <field id="s_pblt"    long_name="t at Boundary Layer Height"    unit="K" />
@@ -212,6 +235,6 @@
         <field id="n2"    long_name="Nombre de panaches de type 2"    unit="-" />
         <field id="s2"    long_name="Surface moyenne des panaches de type 2"    unit="m2" />
-        <field id="proba_notrig"    long_name="Probabilité de non-déclenchement"    unit="-" />
-        <field id="random_notrig"    long_name="Tirage aléatoire de non-déclenchement"    unit="-" />
+        <field id="proba_notrig"    long_name="Probabilite de non-declenchement"    unit="-" />
+        <field id="random_notrig"    long_name="Tirage aleatoire de non-declenchement"    unit="-" />
         <field id="ale_bl_stat"    long_name="ALE_BL_STAT"    unit="m2/s2" />
         <field id="ale_bl_trig"    long_name="ALE_BL_STAT + Condition P>Pseuil"    unit="m2/s2" />
@@ -313,9 +336,10 @@
         <field id="OD550_AIBCM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
         <field id="OD550_AIPOMM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
-        <field id="OD550_STRAT"    long_name="Aerosol Optical depth at 550 nm "    unit="1" enabled="FALSE" />
+        <field id="OD550_STRAT"    long_name="Aerosol Optical depth at 550 nm "    unit="1" enabled="TRUE" />
         <field id="OD550_SO4"     long_name="Aerosol Optical depth at 550 nm "    unit="1" />
         <field id="OD550_ASNO3M"     long_name="Aerosol Optical depth at 550 nm "    unit="1" />
         <field id="OD550_CSNO3M"     long_name="Aerosol Optical depth at 550 nm "    unit="1" />
         <field id="OD550_CINO3M"     long_name="Aerosol Optical depth at 550 nm "    unit="1" />
+        <field id="OD_10um_STRAT" long_name="Stratospheric Aerosol Optical depth at 10 um" unit="-" />
         <field id="od550aer"    long_name="Total aerosol optical depth at 550nm"    unit="-" />
         <field id="od865aer"    long_name="Total aerosol optical depth at 870nm"    unit="-" />
@@ -376,4 +400,12 @@
         <field id="z0h_oce"    long_name="roughness length, enthalpy oce"    unit="m" />
         <field id="z0h_sic"    long_name="roughness length, enthalpy sic"    unit="m" />
+        <field id="sens_rain_oce"  long_name="Sensible heat flux associated withliquid prec. over ocean"    unit="W/m2" />
+        <field id="sens_rain_sic"  long_name="Sensible heat flux associated with liquid prec. over seaice"    unit="W/m2" />
+        <field id="sens_snow_oce"  long_name="Sensible heat flux associated with solid prec. over ocean"    unit="W/m2" />
+        <field id="sens_snow_sic"  long_name="Sensible heat flux associated with solid prec. over seaice"    unit="W/m2" />
+        <field id="lat_rain_oce"  long_name="Latent heat flux associated with liquid prec. over ocean"    unit="W/m2" />
+        <field id="lat_rain_sic"  long_name="Latent heat flux associated with liquid prec. over seaice"    unit="W/m2" />
+        <field id="lat_snow_oce"  long_name="Latent heat flux associated with solid prec. over ocean"    unit="W/m2" />
+        <field id="lat_snow_sic"  long_name="Latent heat flux associated with solid prec. over seaice"    unit="W/m2" />
         <field id="alb1"    long_name="Surface VIS albedo"    unit="-" />
         <field id="alb2"    long_name="Surface Near IR albedo"    unit="-" />
@@ -381,4 +413,5 @@
         <field id="wake_h"    long_name="wake_h"    unit="-" />
         <field id="wake_s"    long_name="wake_s"    unit="-" />
+        <field id="epmax"    long_name="epmax en fn cape"    unit="su" />
         <field id="plulth"    long_name="Rainfall therm."    unit="K/s" />
         <field id="plulst"    long_name="Rainfall strat."    unit="K/s" />
@@ -391,20 +424,43 @@
         <field id="rsutcs4co2"    long_name="TOA Out CS SW in 4xCO2 atmosphere"    unit="W/m2" />
         <field id="rlutcs4co2"    long_name="TOA Out CS LW in 4xCO2 atmosphere"    unit="W/m2" />
+        <field id="dqphy2d"    long_name="Physics dQ"    unit="(kg/m2)/s" />
+        <field id="dqlphy2d"    long_name="Physics dQL"    unit="(kg/m2)/s" />
+        <field id="dqsphy2d"    long_name="Physics dQS"    unit="(kg/m2)/s" />
+        <field id="dqdyn2d"    long_name="Dynamics dQ"    unit="(kg/m2)/s" />
+        <field id="dqldyn2d"   long_name="Dynamics dQL"    unit="(kg/m2)/s" />
+        <field id="dqsdyn2d"   long_name="Dynamics dQS"    unit="(kg/m2)/s" />
+        <field id="dqcon2d"    long_name="Convection dQ"    unit="(kg/m2)/s" />
+        <field id="dqwak2d"    long_name="Wake dQ"    unit="(kg/m2)/s" />
+        <field id="dqlsc2d"    long_name="Condensation dQ"    unit="(kg/m2)/s" />
+        <field id="dqvdf2d"    long_name="Boundary-layer dQ"    unit="(kg/m2)/s" />
+        <field id="dqeva2d"    long_name="Reevaporation dQ"    unit="(kg/m2)/s" />
+        <field id="dqlscth2d"    long_name="dQ therm."    unit="(kg/m2)/s" />
+        <field id="dqlscst2d"    long_name="dQ strat."    unit="(kg/m2)/s" />
+        <field id="dqthe2d"    long_name="Thermal dQ"    unit="(kg/m2)/s" />
+        <field id="dqajs2d"    long_name="Dry ajdust dQ"    unit="(kg/m2)/s" />
     </field_group>
 
     <field_group id="fields_3D" axis_ref="presnivs">
         <field id="tke"    long_name="TKE"    unit="m2/s2" />
-        <field id="tke_ter"    long_name="Max Turb. Kinetic Energy ter"    unit="-" />
-        <field id="tke_lic"    long_name="Max Turb. Kinetic Energy lic"    unit="-" />
-        <field id="tke_oce"    long_name="Max Turb. Kinetic Energy oce"    unit="-" />
-        <field id="tke_sic"    long_name="Max Turb. Kinetic Energy sic"    unit="-" />
-        <field id="tke_max_ter"    long_name="Max Turb. Kinetic Energy ter"    unit="-" operation="maximum"/>
-        <field id="tke_max_lic"    long_name="Max Turb. Kinetic Energy lic"    unit="-" operation="maximum"/>
-        <field id="tke_max_oce"    long_name="Max Turb. Kinetic Energy oce"    unit="-" operation="maximum" />
-        <field id="tke_max_sic"    long_name="Max Turb. Kinetic Energy sic"    unit="-" operation="maximum"/>
-        <field id="dltpbltke_ter"    long_name="TKE difference (w - x)"    unit="-" />
-        <field id="dltpbltke_lic"    long_name="TKE difference (w - x)"    unit="-" />
-        <field id="dltpbltke_oce"    long_name="TKE difference (w - x)"    unit="-" />
-        <field id="dltpbltke_sic"    long_name="TKE difference (w - x)"    unit="-" />
+        <field id="tke_ter"    long_name="Max Turb. Kinetic Energy ter"    unit="m2/s2" />
+        <field id="tke_lic"    long_name="Max Turb. Kinetic Energy lic"    unit="m2/s2" />
+        <field id="tke_oce"    long_name="Max Turb. Kinetic Energy oce"    unit="m2/s2" />
+        <field id="tke_sic"    long_name="Max Turb. Kinetic Energy sic"    unit="m2/s2" />
+        <field id="tke_max_ter"    long_name="Max Turb. Kinetic Energy ter"    unit="m2/s2" />
+        <field id="tke_max_lic"    long_name="Max Turb. Kinetic Energy lic"    unit="m2/s2" />
+        <field id="tke_max_oce"    long_name="Max Turb. Kinetic Energy oce"    unit="m2/s2" />
+        <field id="tke_max_sic"    long_name="Max Turb. Kinetic Energy sic"    unit="m2/s2" />
+        <field id="l_mix_ter"    long_name="PBL mixing length ter"    unit="m" />
+        <field id="l_mix_lic"    long_name="PBL mixing length lic"    unit="m" />
+        <field id="l_mix_oce"    long_name="PBL mixing length oce"    unit="m" />
+        <field id="l_mix_sic"    long_name="PBL mixing length sic"    unit="m" />
+        <field id="l_mixmin_ter"    long_name="min PBL mixing length ter"    unit="m" />
+        <field id="l_mixmin_lic"    long_name="min PBL mixing length lic"    unit="m" />
+        <field id="l_mixmin_oce"    long_name="min PBL mixing length oce"    unit="m" />
+        <field id="l_mixmin_sic"    long_name="min PBL mixing length sic"    unit="m" />
+        <field id="dltpbltke_ter"    long_name="TKE difference (w - x)"    unit="m2/s2" />
+        <field id="dltpbltke_lic"    long_name="TKE difference (w - x)"    unit="m2/s2" />
+        <field id="dltpbltke_oce"    long_name="TKE difference (w - x)"    unit="m2/s2" />
+        <field id="dltpbltke_sic"    long_name="TKE difference (w - x)"    unit="m2/s2" />
         <field id="cldtau"    long_name="Cloud optical thickness"    unit="1" />
         <field id="cldemi"    long_name="Cloud optical emissivity"    unit="1" />
@@ -426,4 +482,5 @@
         <field id="ovapinit"    long_name="Specific humidity (begin of timestep)"    unit="kg/kg" />
         <field id="oliq"    long_name="Condensed water"    unit="kg/kg" />
+        <field id="ocond"    long_name="Condensed water"    unit="kg/kg" />
         <field id="geop"    long_name="Geopotential height"    unit="m2/s2" />
         <field id="vitu"    long_name="Zonal wind"    unit="m/s" />
@@ -442,6 +499,10 @@
         <field id="ozone_daylight"    long_name="Daylight ozone mole fraction"    unit="-" />
         <field id="upwd"    long_name="saturated updraft"    unit="kg/m2/s" />
+        <field id="ep"    long_name="ep"    unit="su" />
+        <field id="duphy"    long_name="Physics du"    unit="K/s" />
         <field id="dtphy"    long_name="Physics dT"    unit="K/s" />
         <field id="dqphy"    long_name="Physics dQ"    unit="(kg/kg)/s" />
+        <field id="dqlphy"   long_name="Physics dQL"    unit="(kg/kg)/s" />
+        <field id="dqsphy"   long_name="Physics dQS"    unit="(kg/kg)/s" />
         <field id="pr_con_l"    long_name="Convective precipitation lic"    unit="-" />
         <field id="pr_con_i"    long_name="Convective precipitation ice"    unit="-" />
@@ -463,4 +524,6 @@
         <field id="dtdyn"    long_name="Dynamics dT"    unit="K/s" />
         <field id="dqdyn"    long_name="Dynamics dQ"    unit="(kg/kg)/s" />
+        <field id="dqldyn"    long_name="Dynamics dQL"    unit="(kg/kg)/s" />
+        <field id="dqsdyn"    long_name="Dynamics dQS"    unit="(kg/kg)/s" />
         <field id="dudyn"    long_name="Dynamics dU"    unit="m/s2" />
         <field id="dvdyn"    long_name="Dynamics dV"    unit="m/s2" />
@@ -519,6 +582,10 @@
         <field id="dulif"    long_name="Orography dU"    unit="m/s2" />
         <field id="dvlif"    long_name="Orography dV"    unit="m/s2" />
-        <field id="duhin"    long_name="Hines GWD dU"    unit="m/s2" />
-        <field id="dvhin"    long_name="Hines GWD dV"    unit="m/s2" />
+        <field id="du_gwd_hines" long_name="Hines GWD dU" unit="m/s2" />
+        <field id="dv_gwd_hines" long_name="Hines GWD dV" unit="m/s2" />
+        <field id="du_gwd_front" long_name="Fronts GWD dU" unit="m/s2" />
+        <field id="dv_gwd_front" long_name="Fronts GWD dV" unit="m/s2" />
+        <field id="east_gwstress" long_name="Eastward GW Stress" unit="Pa" />
+        <field id="west_gwstress" long_name="Westward GW Stress" unit="Pa" />
         <field id="dtoro"    long_name="Orography dT"    unit="K/s" />
         <field id="dtlif"    long_name="Orography dT"    unit="K/s" />
@@ -553,8 +620,9 @@
         <field id="rsdcs4co2"    long_name="Downwelling CS SW 4xCO2 atmosphere"    unit="W/m2" />
         <field id="rldcs4co2"    long_name="Downwelling CS LW 4xCO2 atmosphere"    unit="W/m2" />
+        <field id="stratomask"    long_name="Stratospheric fraction"    unit="-" />
     </field_group>
     
     <field_group  id="fields_NMC" axis_ref="plev">
-      <field id="tnondef" long_name="Undefined value of T" unit="K" /> 
+<!--  <field id="tnondef" long_name="Undefined value of T" unit="K" /> -->
       <field id="ta" long_name="Air temperature" unit="K" />
       <field id="zg" long_name="Geopotential height" unit="m" />
@@ -564,10 +632,9 @@
       <field id="va" long_name="Northward wind" unit="m s-1" />
       <field id="wap" long_name="Lagrangian tendency of air pressure" unit="Pa s-1" />
-      <field id="psbg" long_name="Pressure sfce below ground" unit="%" />
+<!--  <field id="psbg" long_name="Pressure sfce below ground" unit="%" /> -->
       <field id="tro3" long_name="Ozone mole fraction" unit="1e-9" />
       <field id="tro3_daylight" long_name="Daylight ozone mole fraction" unit="1e-9" />
       <field id="uv" long_name="uv" unit="m2/s2" />
-      <!-- a field called "vq" is already defined...
-      <field id="vq" long_name="vq" unit="m/s * (kg/kg)" /> -->
+      <field id="vxq" long_name="vxq" unit="m/s * (kg/kg)" />
       <field id="vT" long_name="vT" unit="mK/s" />
       <field id="wq" long_name="wq" unit="(Pa/s)*(kg/kg)" />
@@ -714,3 +781,21 @@
     </field_group>
 
+   <field_group id="field_scalar" operation="instant" grid_ref="grid_scalar">
+      <field id="R_ecc" long_name="R_ecc" unit="-" />
+      <field id="R_peri" long_name="R_peri" unit="-" />
+      <field id="R_incl" long_name="R_incl" unit="deg" />
+      <field id="solaire" long_name="solaire" unit="W/m2" />
+      <field id="rsun1" long_name="Fraction constante solaire bande 1" unit="W/m2" />
+      <field id="rsun2" long_name="Fraction constante solaire bande 2" unit="W/m2" />
+      <field id="rsun3" long_name="Fraction constante solaire bande 3" unit="W/m2" />
+      <field id="rsun4" long_name="Fraction constante solaire bande 4" unit="W/m2" />
+      <field id="rsun5" long_name="Fraction constante solaire bande 5" unit="W/m2" />
+      <field id="rsun6" long_name="Fraction constante solaire bande 6" unit="W/m2" />
+      <field id="co2_ppm" long_name="co2_ppm" unit="ppm" />
+      <field id="CH4_ppb" long_name="CH4_ppb" unit="ppb" />
+      <field id="N2O_ppb" long_name="N2O_ppb" unit="ppb" />
+      <field id="CFC11_ppt" long_name="CFC11_ppt" unit="ppt" />
+      <field id="CFC12_ppt" long_name="CFC12_ppt" unit="ppt" />
+   </field_group>
+
 </field_definition>
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histLES_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histLES_lmdz.xml	(revision 3991)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histLES_lmdz.xml	(revision 3992)
@@ -492,6 +492,4 @@
                 <field field_ref="dulif" level="10" />
                 <field field_ref="dvlif" level="10" />
-                <field field_ref="duhin" level="10" />
-                <field field_ref="dvhin" level="10" />
                 <field field_ref="dtoro" level="10" />
                 <field field_ref="dtlif" level="10" />
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_lmdz.xml	(revision 3991)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_lmdz.xml	(revision 3992)
@@ -506,6 +506,4 @@
                 <field field_ref="dulif" level="10" />
                 <field field_ref="dvlif" level="10" />
-                <field field_ref="duhin" level="10" />
-                <field field_ref="dvhin" level="10" />
                 <field field_ref="dtoro" level="10" />
                 <field field_ref="dtlif" level="10" />
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histhf_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histhf_lmdz.xml	(revision 3991)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histhf_lmdz.xml	(revision 3992)
@@ -492,6 +492,4 @@
                 <field field_ref="dulif" level="10" />
                 <field field_ref="dvlif" level="10" />
-                <field field_ref="duhin" level="10" />
-                <field field_ref="dvhin" level="10" />
                 <field field_ref="dtoro" level="10" />
                 <field field_ref="dtlif" level="10" />
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histins_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histins_lmdz.xml	(revision 3991)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histins_lmdz.xml	(revision 3992)
@@ -491,6 +491,4 @@
                 <field field_ref="dulif" level="10" />
                 <field field_ref="dvlif" level="10" />
-                <field field_ref="duhin" level="10" />
-                <field field_ref="dvhin" level="10" />
                 <field field_ref="dtoro" level="10" />
                 <field field_ref="dtlif" level="10" />
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histmth_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histmth_lmdz.xml	(revision 3991)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histmth_lmdz.xml	(revision 3992)
@@ -492,6 +492,4 @@
                 <field field_ref="dulif" level="4" />
                 <field field_ref="dvlif" level="4" />
-                <field field_ref="duhin" level="4" />
-                <field field_ref="dvhin" level="4" />
                 <field field_ref="dtoro" level="4" />
                 <field field_ref="dtlif" level="4" />
Index: dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histstn_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histstn_lmdz.xml	(revision 3991)
+++ dynamico_lmdz/aquaplanet/OLD_PHYSIC/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histstn_lmdz.xml	(revision 3992)
@@ -492,6 +492,4 @@
                 <field field_ref="dulif" level="10" />
                 <field field_ref="dvlif" level="10" />
-                <field field_ref="duhin" level="10" />
-                <field field_ref="dvhin" level="10" />
                 <field field_ref="dtoro" level="10" />
                 <field field_ref="dtlif" level="10" />